List refunds
Get a list of refunds for a card transfer.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.read scope.
GET
/accounts/{accountID}/transfers/{transferID}/refunds
curl -X GET "https://api.moov.io/accounts/{accountID}/transfers/{transferID}/refunds" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()
var accountID string
var transferID string
mc.ListRefunds(ctx, accountID, transferID)
using Moov.Sdk;
var sdk = new MoovClient(xMoovVersion: "<value>");
var res = await sdk.Transfers.ListRefundsAsync(
accountID: "03f5baaa-f5d8-44bd-90db-868745fe66e8",
transferID: "6b1aa1a1-bff1-43b9-9126-2806fdc9c732"
);
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListRefundsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListRefundsResponse res = sdk.transfers().listRefunds()
.accountID("03f5baaa-f5d8-44bd-90db-868745fe66e8")
.transferID("6b1aa1a1-bff1-43b9-9126-2806fdc9c732")
.call();
if (res.cardAcquiringRefunds().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
res = s.transfers.list_refunds(account_id: '03f5baaa-f5d8-44bd-90db-868745fe66e8', transfer_id: '6b1aa1a1-bff1-43b9-9126-2806fdc9c732')
unless res.card_acquiring_refunds.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.transfers.listRefunds({
accountID: "03f5baaa-f5d8-44bd-90db-868745fe66e8",
transferID: "6b1aa1a1-bff1-43b9-9126-2806fdc9c732",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->transfers->listRefunds(
accountID: '03f5baaa-f5d8-44bd-90db-868745fe66e8',
transferID: '6b1aa1a1-bff1-43b9-9126-2806fdc9c732'
);
if ($response->cardAcquiringRefunds !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.transfers.list_refunds(account_id="03f5baaa-f5d8-44bd-90db-868745fe66e8", transfer_id="6b1aa1a1-bff1-43b9-9126-2806fdc9c732")
# Handle response
print(res)The request completed successfully.
[
{
"refundID": "string",
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z",
"status": "created",
"amount": {
"currency": "USD",
"value": 1204
},
"cardDetails": {
"status": "initiated",
"failureCode": "call-issuer",
"initiatedOn": "2019-08-24T14:15:22Z",
"confirmedOn": "2019-08-24T14:15:22Z",
"settledOn": "2019-08-24T14:15:22Z",
"failedOn": "2019-08-24T14:15:22Z",
"completedOn": "2019-08-24T14:15:22Z"
}
}
]Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
transferID
string
required
Identifier for the transfer.
Response
amount
object
Show child attributes
currency
string
required
Pattern
A 3-letter ISO 4217 currency code.
value
integer<int64>
required
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
cardDetails
object
Show child attributes
status
string<enum>
required
Possible values:
initiated,
confirmed,
settled,
failed,
completed
completedOn
string<date-time>
confirmedOn
string<date-time>
failedOn
string<date-time>
failureCode
string<enum>
initiatedOn
string<date-time>
settledOn
string<date-time>
createdOn
string<date-time>
refundID
string
Identifier for the refund.
status
string<enum>
Possible values:
created,
pending,
completed,
failed
updatedOn
string<date-time>